{% extends 'skin.html' %}
{% load static %}
{% load components %}

<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">

{% block body %}
<div class="position-relative mt-3">
        <h3 class="text-center">Faculty &amp; Academic-Support Software Team</h3>
        <p class="text-center lead">Internal Software Development Community at the University of Waterloo</p>
        <p class="text-center">Below is a non-exhaustive list of locally developed or maintained projects at the University of Waterloo.</p>
        <p class="text-center">This list is independantly supported by FAST members to serve as a living catalogue of actively developed tools.</p>
        <p class="text-center">For more information on FAST, see our <a href="{% url 'about' %}">About Page.</a></p>
        <div class="d-flex justify-content-center">
            
        </div>
</div>

{% if request.user.is_authenticated and not request.GET.user %}
<a href="/?user=1">Show My Projects</a>
{% endif %}

    {% if filtered %}
    <div class="alert alert-info d-flex justify-content-between">
        {% if request.GET.group %}
        <div>
        Searching for projects involving "{{request.GET.group}}" 
        </div>
        {% endif %}
        {% if request.GET.q %}
        <div>
        Searching for "{{request.GET.q}}" 
        </div>
        {% endif %}
        {% if request.GET.tech %}
        <div>
        Showing for projects involving "{{request.GET.tech}}" 
        </div>
        {% endif%}
        {% if request.GET.user %}
        <div>
        Showing your projects
        </div>
        {% endif %}
        <a href="/" class="close" >
            <span aria-hidden="true">&times;</span>
        </a>
    </div>
    {% endif %}       
    {% if request.user.is_authenticated %}
    <div class="small"><em>Dump project specs for current list: 
        <a target="_blank" href="{% url 'spec_dump' %}?mode=html&{{request.GET.urlencode}}">HTML</a>, 
        <a target="_blank" href="{% url 'spec_dump' %}?mode=md&{{request.GET.urlencode}}">PlainText</a>, or
        <a target="_blank" href="{% url 'spec_dump' %}?mode=json&{{request.GET.urlencode}}">JSON</a>
    </em></div>
    {% endif %}
{% if projects %}
    <table class="table table-hover table-sm mt-3">
        <thead>
            <tr>
                <th scope="col">Project Title</th>
                <th scope="col">Tagline</th>
                <th scope="col">Groups</th>
                <th scope="col">Scope</th>
                {% if request.user.is_authenticated %}
                <th>Has Spec</th>
                {% endif %}
            </tr>
        </thead>
        <tbody>
            {% for project in projects %}
                <tr>
                    <th scope="row"><a href="{% url 'detail' project.slug %}">{{ project.title }}</a></th>
                    <td>{{ project.tagline }}</td>
                    <td>
                        {% for group in project.groups.all %}
                           {% group_search group %}<br>
                        {% endfor %}
                    </td>
                    <td>{{ project.scope }}</td>

                    {% if request.user.is_authenticated %}
                    <td>{% if project.has_spec%}
                        <a class="btn btn-sm btn-outline-info" href="{% url 'detail' project.slug %}?tab=specs">View Specs</a>
                    {% endif %}</td>
                    {% endif %}
                </tr>
                    {% endfor %}
                    </tbody>
    </table>

<nav>
    <ul class="pagination">
        <li class="page-item">
            {% if page_obj.has_previous %}
                <a class="page-link" href="?page={{ page_obj.previous_page_number }}">Previous</a>
            {% else %}<span class="page-link" style=color:grey;cursor:not-allowed>Previous</span>
            {% endif %}
        </li>
        
        {% for p in paginator.page_range %}
            <li class="page-item {% if p == page_obj.number %} active {% endif %}">
                <a class="page-link"  href="?page={{p}}">{{p}}</a>
            </li>
        {% endfor %}

        <li class="page-item">
            {% if page_obj.has_next %}
                <a class="page-link" href="?page={{ page_obj.next_page_number }}">Next</a>
            {% else %}<span class="page-link" style=color:grey;cursor:not-allowed>Next</span>
            {% endif %}
        </li>
    </ul>
</nav>
{% else %}
    <p>No projects are available.</p>
{% endif %}
{% endblock %}
